--- a/MySQL.spec	2024-04-23 02:29:46.022978758 +0300
+++ b/MySQL.spec	2024-04-23 02:29:46.088979801 +0300
@@ -628,7 +628,7 @@
 %if_with mysql_router 
 %pre router
 /usr/sbin/groupadd -r -f %mysqlrouter_user
-/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -n %mysqlrouter_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqlrouter_user -d %ROUTER_ROOT -s /dev/null -c "MySQL router" -N %mysqlrouter_user >/dev/null 2>&1 ||:
 if [ -e /etc/mysqlrouter/mysqlrouter.conf -a ! -e /etc/mysqlrouter/mysqlrouter.conf.rename ]; then
         mv -v /etc/mysqlrouter/mysqlrouter.conf /etc/mysqlrouter/mysqlrouter.conf.rename &&
         chown 0:0 /etc/mysqlrouter/mysqlrouter.conf.rename &&
@@ -656,7 +656,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MySQL server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 if [ ! -e %ROOT/my.cnf -a -f /etc/my.cnf -a ! -L /etc/my.cnf -a ! -e /etc/my.cnf.rename ]; then
 	mv -v /etc/my.cnf /etc/my.cnf.rename &&
--- a/agola.spec	2024-04-23 02:29:46.976993833 +0300
+++ b/agola.spec	2024-04-23 02:29:46.988994023 +0300
@@ -78,7 +78,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/alterator-fbi.spec	2024-04-23 02:29:47.181997073 +0300
+++ b/alterator-fbi.spec	2024-04-23 02:29:47.198997341 +0300
@@ -96,7 +96,7 @@
 %pre
 /usr/sbin/groupadd -r -f _ahttpd
 /usr/sbin/groupadd -r -f _alteratord
-/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -n _ahttpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _ahttpd -G _alteratord -d /dev/null -s /dev/null -N _ahttpd >/dev/null 2>&1 ||:
 
 %post
 %post_service ahttpd
--- a/asterisk.spec	2024-04-23 02:29:48.086011358 +0300
+++ b/asterisk.spec	2024-04-23 02:29:48.110011737 +0300
@@ -152,7 +152,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _asterisk &> /dev/null
-%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -n _asterisk &> /dev/null ||:
+%_sbindir/useradd -r -g _asterisk -d /dev/null -s /dev/null -c 'Asterisk IP PBX' -N _asterisk &> /dev/null ||:
 
 %post
 %post_service asterisk
--- a/atftp.spec	2024-04-23 02:29:48.242013823 +0300
+++ b/atftp.spec	2024-04-23 02:29:48.253013997 +0300
@@ -45,7 +45,7 @@
  
 %pre
 %_sbindir/groupadd -r -f _atftpd &> /dev/null
-%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -n _atftpd &> /dev/null ||:
+%_sbindir/useradd -r -g _atftpd -d /dev/null -s /dev/null -c 'ATFTP Service User' -N _atftpd &> /dev/null ||:
 
 %post
 %post_service atftpd
--- a/bacula13.spec	2024-04-23 02:29:48.551018706 +0300
+++ b/bacula13.spec	2024-04-23 02:29:48.606019575 +0300
@@ -660,7 +660,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f bacula
-%_sbindir/useradd -r -n -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g bacula -d /var/empty -s /bin/false -c "Bacula pseudo user" bacula >/dev/null 2>&1 ||:
 %_sbindir/usermod -d /var/empty -s /bin/false bacula >/dev/null 2>&1
 
 %post common
--- a/bind.spec	2024-04-23 02:29:48.744021756 +0300
+++ b/bind.spec	2024-04-23 02:29:48.780022325 +0300
@@ -430,7 +430,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %named_group
-/usr/sbin/useradd -r -g %named_group -d %_chrootdir -s /dev/null -n \
+/usr/sbin/useradd -r -g %named_group -d %_chrootdir -s /dev/null -N \
     -c "Domain Name Server" %named_user >/dev/null 2>&1 ||:
 [ -f %_initdir/named -a ! -L %_initdir/named ] && /sbin/chkconfig --del named ||:
 
--- a/bird.spec	2024-04-23 02:29:48.920024537 +0300
+++ b/bird.spec	2024-04-23 02:29:48.935024774 +0300
@@ -89,7 +89,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _bird 2> /dev/null ||:
-%_sbindir/useradd -r -n -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
+%_sbindir/useradd -r -N -g _bird -d /var/lib/bird -s /dev/null -c "BIRD Routing Daemon System User" _bird 2> /dev/null ||:
 
 %post
 %post_service bird
--- a/bluez-alsa.spec	2024-04-23 02:29:49.214029183 +0300
+++ b/bluez-alsa.spec	2024-04-23 02:29:49.231029452 +0300
@@ -119,7 +119,7 @@
 %endif
 
 %pre
-/usr/sbin/useradd -r -n -g audio -M -s /dev/null -c %b_user %b_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g audio -M -s /dev/null -c %b_user %b_user >/dev/null 2>&1 ||:
 
 %files
 %doc README.md NEWS LICENSE AUTHORS
--- a/burp.spec	2024-04-23 02:29:49.729037321 +0300
+++ b/burp.spec	2024-04-23 02:29:49.743037542 +0300
@@ -93,7 +93,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _burp
-/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -n -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _burp -d /var/empty -s /dev/null -N -c "BURP BackUp and Restore Program" _burp >/dev/null 2>&1 ||:
 
 %post
 %post_service burp-server
--- a/c-icap.spec	2024-04-23 02:29:49.907040134 +0300
+++ b/c-icap.spec	2024-04-23 02:29:49.921040355 +0300
@@ -95,7 +95,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _c_icap ||:
-/usr/sbin/useradd -M -n _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
+/usr/sbin/useradd -M -N _c_icap -r -d %_runtimedir/%name -s /dev/null -c "System user for %name" -g _c_icap > /dev/null 2>&1 ||:
 
 # home directory was in /var/run/ before 1:0.5.6-alt2
 /usr/sbin/usermod --home /run/%name _c_icap ||:
--- a/cmdproxyd.spec	2024-04-23 02:29:50.648051843 +0300
+++ b/cmdproxyd.spec	2024-04-23 02:29:50.654051938 +0300
@@ -26,7 +26,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/colord.spec	2024-04-23 02:29:50.956056710 +0300
+++ b/colord.spec	2024-04-23 02:29:50.985057169 +0300
@@ -183,7 +183,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %colord_group 2>/dev/null ||:
-%_sbindir/useradd -r -n -g %colord_group -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %colord_group -d %_localstatedir/%name \
 	-s /dev/null -c "User for colord" %colord_user 2>/dev/null ||:
 
 %files -f %name.lang
--- a/dansguardian.spec	2024-04-23 02:29:51.199060550 +0300
+++ b/dansguardian.spec	2024-04-23 02:29:51.212060756 +0300
@@ -58,7 +58,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1
-%_sbindir/useradd -r -n -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d /dev/null -s /dev/null %name >/dev/null 2>&1 ||:
 
 %preun
 %preun_service %name
--- a/dbus.spec	2024-04-23 02:29:51.468064801 +0300
+++ b/dbus.spec	2024-04-23 02:29:51.490065149 +0300
@@ -147,7 +147,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %dbus_group 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %dbus_group -d %system_socket_dir -s /dev/null -c "D-Bus System User" %dbus_user 2> /dev/null ||:
 
 %post
 if [ $1 -eq 1 ] ; then
--- a/deluge.spec	2024-04-23 02:29:51.873071201 +0300
+++ b/deluge.spec	2024-04-23 02:29:51.893071517 +0300
@@ -119,7 +119,7 @@
 
 %pre -n deluged
 %_sbindir/groupadd -r -f _deluge
-%_sbindir/useradd -r -n -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _deluge -d %_spooldir/%{name}d -s /dev/null -c "deluge bittorrent daemon" _deluge >/dev/null 2>&1 ||:
 
 %post -n deluged
 %post_service deluged
--- a/dictd.spec	2024-04-23 02:29:52.012073397 +0300
+++ b/dictd.spec	2024-04-23 02:29:52.037073792 +0300
@@ -179,7 +179,7 @@
 
 %pre
 %_sbindir/groupadd -r dictd &>/dev/null ||:
-%_sbindir/useradd -r -n -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g dictd -d %_localstatedir/%name -s /dev/null dictd  &>/dev/null ||:
 
 %post
 if [ "$1" = "1" ]; then
--- a/dovecot.spec	2024-04-23 02:29:52.650083479 +0300
+++ b/dovecot.spec	2024-04-23 02:29:52.673083842 +0300
@@ -170,10 +170,10 @@
 %pre
 %pre_control mailboxes
 groupadd -r -f dovecot 2>/dev/null ||:
-useradd -r -n -g dovecot -c 'Dovecot internal processes' \
+useradd -r -N -g dovecot -c 'Dovecot internal processes' \
 		-d %_var/run/%name -s /dev/null dovecot 2>/dev/null ||:
 groupadd -r -f dovenull 2>/dev/null ||:
-useradd -r -n -g dovenull -c 'Dovecot untrusted login processes' \
+useradd -r -N -g dovenull -c 'Dovecot untrusted login processes' \
 		-d %_var/run/%name -s /dev/null dovenull 2>/dev/null ||:
 %post
 %post_control -s private mailboxes
--- a/etcd.spec	2024-04-23 02:29:53.193092059 +0300
+++ b/etcd.spec	2024-04-23 02:29:53.204092233 +0300
@@ -82,7 +82,7 @@
 
 %pre
 groupadd -r -f %etcd_group
-useradd -r -g %etcd_group -d /dev/null -s /dev/null -n %etcd_user >/dev/null 2>&1 ||:
+useradd -r -g %etcd_group -d /dev/null -s /dev/null -N %etcd_user >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/fcgiwrap.spec	2024-04-23 02:29:53.457096231 +0300
+++ b/fcgiwrap.spec	2024-04-23 02:29:53.464096342 +0300
@@ -34,7 +34,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -n _fcgiwrap \
+%_sbindir/useradd -r -g _webserver -G _webserver -d /dev/null -s /dev/null -N _fcgiwrap \
         2> /dev/null > /dev/null ||:
 
 %files
--- a/fetchmail.spec	2024-04-23 02:29:53.581098191 +0300
+++ b/fetchmail.spec	2024-04-23 02:29:53.604098554 +0300
@@ -161,7 +161,7 @@
 
 %pre -n %name-daemon
 %_sbindir/groupadd -r -f %name ||:
-%_sbindir/useradd -r -n -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
+%_sbindir/useradd -r -N -M -g %name -d %rtdir -s /dev/null %name &>/dev/null ||:
 
 %triggerpostun -n %name-daemon -- fetchmail-daemon <= 6.3.9-alt1
 usermod -d %rtdir %name ||:
--- a/freeradius.spec	2024-04-23 02:29:54.666115336 +0300
+++ b/freeradius.spec	2024-04-23 02:29:54.707115984 +0300
@@ -320,7 +320,7 @@
 
 %pre common
 /usr/sbin/groupadd -r -f radiusd
-/usr/sbin/useradd -r -n -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g radiusd -d /dev/null -s /dev/null -c RADIUS radiusd >/dev/null 2>&1 ||:
 
 %post
 %post_service radiusd
--- a/ftn.spec	2024-04-23 02:29:54.923119397 +0300
+++ b/ftn.spec	2024-04-23 02:29:54.935119586 +0300
@@ -75,7 +75,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name ||:
-/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g %name -G uucp -M -d %_localstatedir/%name -s /bin/sh -N %name &>/dev/null ||:
 
 %files
 %defattr(644,root,%name,750)
--- a/gerbera.spec	2024-04-23 02:29:55.470128040 +0300
+++ b/gerbera.spec	2024-04-23 02:29:55.484128262 +0300
@@ -111,7 +111,7 @@
 
 %pre
 groupadd -r -f %name >/dev/null 2>&1 ||:
-useradd -r -n -g %name -d %_localstatedir/%name -s /dev/null \
+useradd -r -N -g %name -d %_localstatedir/%name -s /dev/null \
     -c 'Gerbera UPnP Media Server' %name >/dev/null 2>&1 ||:
 
 %post
--- a/git.spec	2024-04-23 02:29:56.281140856 +0300
+++ b/git.spec	2024-04-23 02:29:56.314141377 +0300
@@ -397,7 +397,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f _gitd
-/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -n _gitd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _gitd -d /dev/null -s /dev/null -c 'The git server' -N _gitd >/dev/null 2>&1 ||:
 
 %files
 
--- a/iftop.spec	2024-04-23 02:29:57.502160150 +0300
+++ b/iftop.spec	2024-04-23 02:29:57.513160323 +0300
@@ -57,7 +57,7 @@
 
 %post
 %_sbindir/groupadd -r -f _iftop
-%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -n _iftop >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _iftop -d /dev/null -s /dev/null -N _iftop >/dev/null 2>&1 ||:
 %post_control -s netadmin iftop
 
 %files
--- a/jicofo.spec	2024-04-23 02:29:58.553176757 +0300
+++ b/jicofo.spec	2024-04-23 02:29:58.565176947 +0300
@@ -67,7 +67,7 @@
 %_unitdir/%name.service
 
 %pre
-%_sbindir/useradd -r -d /dev/null -s /dev/null -n %jicofo_user \
+%_sbindir/useradd -r -d /dev/null -s /dev/null -N %jicofo_user \
         2> /dev/null > /dev/null ||:
 
 %post
--- a/lightsquid.spec	2024-04-23 02:30:11.094374920 +0300
+++ b/lightsquid.spec	2024-04-23 02:30:11.111375189 +0300
@@ -91,7 +91,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name &> /dev/null ||:
-/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -n %name &> /dev/null ||:
+/usr/sbin/useradd -r -g %name -G squid -d %_localstatedir/%name -c 'Log parser lightsquid' -s /bin/false -N %name &> /dev/null ||:
 
 %post
 if [[ -d %lightdir/report ]]; then
--- a/manticore.spec	2024-04-23 02:30:11.549382109 +0300
+++ b/manticore.spec	2024-04-23 02:30:11.565382362 +0300
@@ -144,7 +144,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _%name &>/dev/null
-%_sbindir/useradd -r -n -g _%name -d /var/empty -s /bin/false -c "Manticore Searchd pseudo user" _%name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _%name -d /var/empty -s /bin/false -c "Manticore Searchd pseudo user" _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/mariadb.spec	2024-04-23 02:30:11.669384005 +0300
+++ b/mariadb.spec	2024-04-23 02:30:11.723384859 +0300
@@ -726,7 +726,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f %mysqld_user
-/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -n %mysqld_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %mysqld_user -d %ROOT -s /dev/null -c "MariaDB server" -N %mysqld_user >/dev/null 2>&1 ||:
 
 %pre_control mysqld
 %pre_control mysqld-chroot
--- a/memcached.spec	2024-04-23 02:30:11.817386344 +0300
+++ b/memcached.spec	2024-04-23 02:30:11.828386518 +0300
@@ -84,7 +84,7 @@
 
 %pre
 groupadd -r -f %pkg_group
-useradd -r -g %pkg_group -d /dev/null -s /dev/null -n %pkg_user >/dev/null 2>&1 ||:
+useradd -r -g %pkg_group -d /dev/null -s /dev/null -N %pkg_user >/dev/null 2>&1 ||:
 if [ $1 -eq 2 ] && [ ! -f /var/run/%name/%name.pid ] && [ -f /var/run/%name.pid ]; then
    mkdir /var/run/%name/
    mv /var/run/%name.pid /var/run/%name/%name.pid
--- a/minio.spec	2024-04-23 02:30:11.927388082 +0300
+++ b/minio.spec	2024-04-23 02:30:11.941388303 +0300
@@ -78,7 +78,7 @@
 
 %pre
 groupadd -r -f _%name
-useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -n _%name >/dev/null 2>&1 ||:
+useradd -r -g _%name -c "Minio" -d %_sharedstatedir/%name -s /dev/null -N _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/mknfsroot.spec	2024-04-23 02:30:12.042389899 +0300
+++ b/mknfsroot.spec	2024-04-23 02:30:12.049390010 +0300
@@ -36,7 +36,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mknfsrootuser
-%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -n %mknfsrootuser > /dev/null 2>&1
+%_sbindir/useradd -r -g %mknfsrootuser -d %_localstatedir/%name -s /dev/null -N %mknfsrootuser > /dev/null 2>&1
 if ! getent group hashman |cut -d: -f4 |tr , '\n' |fgrep -qsx %mknfsrootuser; then
 	hasher-useradd %mknfsrootuser &&
 	printf '%%s\n%%s\n' 'allow_ttydev=YES' 'allowed_mountpoints=/dev/pts' \
--- a/monetdb.spec	2024-04-23 02:30:12.305394055 +0300
+++ b/monetdb.spec	2024-04-23 02:30:12.319394276 +0300
@@ -66,7 +66,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _monetdb
-%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -n _monetdb > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _monetdb -r -c "MonetDB database management system" -s /sbin/nologin -d %_localstatedir/monetdb5 -N _monetdb > /dev/null 2>&1 ||:
 
 %post server
 %post_service %name
--- a/mongo.spec	2024-04-23 02:30:12.417395824 +0300
+++ b/mongo.spec	2024-04-23 02:30:12.440396188 +0300
@@ -156,7 +156,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -166,7 +166,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2024-04-23 02:30:12.535397689 +0300
+++ b/mongo.spec	2024-04-23 02:30:12.559398068 +0300
@@ -157,7 +157,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -167,7 +167,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2024-04-23 02:30:12.660399664 +0300
+++ b/mongo.spec	2024-04-23 02:30:12.683400027 +0300
@@ -160,7 +160,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -170,7 +170,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2024-04-23 02:30:12.776401497 +0300
+++ b/mongo.spec	2024-04-23 02:30:12.800401876 +0300
@@ -152,7 +152,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -162,7 +162,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mongo.spec	2024-04-23 02:30:12.891403314 +0300
+++ b/mongo.spec	2024-04-23 02:30:12.916403709 +0300
@@ -155,7 +155,7 @@
 
 %pre server-mongod
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongod
 %post_service mongod
@@ -165,7 +165,7 @@
 
 %pre server-mongos
 %_sbindir/groupadd -r -f mongod ||:
-%_sbindir/useradd -r -n -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g mongod -d /var/lib/mongo -s /bin/false -c "Mongod pseudo user" mongod >/dev/null 2>&1 ||:
 
 %post server-mongos
 %post_service mongos
--- a/mpd.spec	2024-04-23 02:30:13.227408623 +0300
+++ b/mpd.spec	2024-04-23 02:30:13.256409081 +0300
@@ -237,7 +237,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %mpd_group &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g %mpd_group \
     -c "Music Player Daemon (%Name)" %mpd_user &>/dev/null ||:
 %_sbindir/usermod -g %mpd_group -G audio %mpd_user &>/dev/null ||:
 
--- a/nagios.spec	2024-04-23 02:30:13.351410582 +0300
+++ b/nagios.spec	2024-04-23 02:30:13.381411056 +0300
@@ -259,7 +259,7 @@
 
 %pre common
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/%name \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/%name \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nagios-nrpe.spec	2024-04-23 02:30:13.508413063 +0300
+++ b/nagios-nrpe.spec	2024-04-23 02:30:13.529413395 +0300
@@ -132,7 +132,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %nagios_grp &>/dev/null ||:
-%_sbindir/useradd -r -n -g %nagios_grp -d %_localstatedir/nagios \
+%_sbindir/useradd -r -N -g %nagios_grp -d %_localstatedir/nagios \
     -s /bin/false -c 'Nagios(R) account' %nagios_usr &>/dev/null ||:
 
 %post
--- a/nbd.spec	2024-04-23 02:30:13.632415022 +0300
+++ b/nbd.spec	2024-04-23 02:30:13.647415259 +0300
@@ -97,7 +97,7 @@
 
 %pre server
 %_sbindir/groupadd -r -f _nbd
-%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -n _nbd > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _nbd -d /dev/null -s /dev/null -N _nbd > /dev/null 2>&1 ||:
 
 %post server
 %post_service nbd-server
--- a/nfs.spec	2024-04-23 02:30:13.801417693 +0300
+++ b/nfs.spec	2024-04-23 02:30:13.827418103 +0300
@@ -135,9 +135,9 @@
 #-------------------------------------------------------------------------------
 %pre clients
 %_sbindir/groupadd -r -f rpcuser &> /dev/null
-%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -n rpcuser &> /dev/null ||:
+%_sbindir/useradd -r -g rpcuser -d %_localstatedir/nfs -s /dev/null -c 'RPC Service User' -N rpcuser &> /dev/null ||:
 %_sbindir/groupadd -r -f nfsuser &> /dev/null
-%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -n nfsuser &> /dev/null ||:
+%_sbindir/useradd -r -g nfsuser -d /dev/null -s /dev/null -c 'NFS Service User' -N nfsuser &> /dev/null ||:
 
 %pre utils
 [ $1 -eq 1 ] || /usr/sbin/control-dump nfsmount
--- a/nginx.spec	2024-04-23 02:30:13.918419541 +0300
+++ b/nginx.spec	2024-04-23 02:30:13.949420031 +0300
@@ -274,7 +274,7 @@
 %pre
 %_sbindir/groupadd -r -f %nginx_group ||:
 %_sbindir/groupadd -r -f _webserver ||:
-%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -n %nginx_user \
+%_sbindir/useradd -r -g %nginx_group -G _webserver -d /dev/null -s /dev/null -N %nginx_user \
 	2> /dev/null > /dev/null ||:
 
 %post
--- a/ngrep.spec	2024-04-23 02:30:14.040421469 +0300
+++ b/ngrep.spec	2024-04-23 02:30:14.052421659 +0300
@@ -52,7 +52,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/%name
--- a/nmap.spec	2024-04-23 02:30:14.148423176 +0300
+++ b/nmap.spec	2024-04-23 02:30:14.163423413 +0300
@@ -108,7 +108,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f nmapuser
-/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -n nmapuser >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g nmapuser -d /dev/null -s /dev/null -N nmapuser >/dev/null 2>&1 ||:
 
 %files
 %_bindir/nmap
--- a/nsd.spec	2024-04-23 02:30:14.359426510 +0300
+++ b/nsd.spec	2024-04-23 02:30:14.371426699 +0300
@@ -62,7 +62,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _nsd
-/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -n -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _nsd -d /var/empty -s /sbin/nologin -N -c "Name Server Daemon" _nsd >/dev/null 2>&1 ||:
 
 %preun
 %preun_service nsd
--- a/openssh.spec	2024-04-23 02:30:15.800449278 +0300
+++ b/openssh.spec	2024-04-23 02:30:15.823449642 +0300
@@ -234,7 +234,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post server
--- a/openssh.spec	2024-04-23 02:30:16.032452944 +0300
+++ b/openssh.spec	2024-04-23 02:30:16.063453434 +0300
@@ -237,7 +237,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post server
--- a/openssh.spec	2024-04-23 02:30:16.146454745 +0300
+++ b/openssh.spec	2024-04-23 02:30:16.170455125 +0300
@@ -252,7 +252,7 @@
 
 %pre -n %oname-server-gostcrypto
 /usr/sbin/groupadd -r -f sshd
-/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -n sshd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g sshd -d %_chrootdir -s /dev/null -N sshd >/dev/null 2>&1 ||:
 %pre_control sftp sshd-allow-groups sshd-password-auth
 
 %post -n %oname-server-gostcrypto
--- a/openvswitch.spec	2024-04-23 02:30:16.371458300 +0300
+++ b/openvswitch.spec	2024-04-23 02:30:16.401458774 +0300
@@ -243,7 +243,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name
-%_sbindir/useradd -r -n -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %name -d %_localstatedir/%name -M -s /sbin/nologin -c "Open vSwitch Daemons" %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 -eq 2 ] && [ -f %_sysconfdir/openvswitch/system-id.conf ] ; then
--- a/osec.spec	2024-04-23 02:30:16.532460844 +0300
+++ b/osec.spec	2024-04-23 02:30:16.542461002 +0300
@@ -88,7 +88,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %osec_group
-/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -n %osec_user >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %osec_group -d /dev/null -s /dev/null -N %osec_user >/dev/null 2>&1 ||:
 
 %triggerpostun -- %name < 0:1.0.0-alt1
 rm -f %osec_statedir/osec.db.*
--- a/passivedns.spec	2024-04-23 02:30:17.327473406 +0300
+++ b/passivedns.spec	2024-04-23 02:30:17.343473659 +0300
@@ -106,7 +106,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -n -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_sharedstatedir/%name -s /dev/null -N -c "DNS network sniffer" _%name >/dev/null 2>&1 ||:
 
 %post daemon
 %post_service %name
--- a/pdnsd.spec	2024-04-23 02:30:17.436475128 +0300
+++ b/pdnsd.spec	2024-04-23 02:30:17.447475302 +0300
@@ -60,7 +60,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name >/dev/null 2>&1 ||:
-%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %post
 [ -s %_cachedir/%name/%name.cache ] ||
--- a/php-fpm-fcgi.spec	2024-04-23 02:30:17.846481606 +0300
+++ b/php-fpm-fcgi.spec	2024-04-23 02:30:17.866481922 +0300
@@ -155,7 +155,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2024-04-23 02:30:18.023484403 +0300
+++ b/php-fpm-fcgi.spec	2024-04-23 02:30:18.057484940 +0300
@@ -155,7 +155,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/php-fpm-fcgi.spec	2024-04-23 02:30:18.180486883 +0300
+++ b/php-fpm-fcgi.spec	2024-04-23 02:30:18.215487436 +0300
@@ -155,7 +155,7 @@
 %pre
 /usr/sbin/groupadd -r -f _php_fpm 2>/dev/null ||:
 /usr/sbin/groupadd -r -f _webserver 2>/dev/null ||:
-/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -n -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _php_fpm -d / -s /dev/null -N -c "PHP FastCGI Process Manager" _php_fpm >/dev/null 2>&1 ||:
 
 %preun
 %php_sapi_preun
--- a/pidentd.spec	2024-04-23 02:30:18.317489048 +0300
+++ b/pidentd.spec	2024-04-23 02:30:18.327489206 +0300
@@ -46,7 +46,7 @@
 install -p -m755 -D %SOURCE3 $RPM_BUILD_ROOT%_initdir/identd
 
 %pre                                                                                                  
-/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -n %name &>/dev/null ||:
+/usr/sbin/useradd -r -g proc -d /dev/null -s /dev/null -N %name &>/dev/null ||:
 
 %post
 %post_service identd
--- a/polkit.spec	2024-04-23 02:30:20.181518500 +0300
+++ b/polkit.spec	2024-04-23 02:30:20.202518832 +0300
@@ -99,7 +99,7 @@
 
 %pre
 %_sbindir/groupadd -r -f polkitd 2>/dev/null ||:
-%_sbindir/useradd -r -n -g polkitd -d / \
+%_sbindir/useradd -r -N -g polkitd -d / \
 	-s /dev/null -c "User for polkitd" polkitd 2>/dev/null ||:
 
 %files -f %name-1.lang
--- a/popa3d.spec	2024-04-23 02:30:20.281520080 +0300
+++ b/popa3d.spec	2024-04-23 02:30:20.286520159 +0300
@@ -51,7 +51,7 @@
 
 %post
 /usr/sbin/groupadd -r -f popa3d
-/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -n popa3d >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g popa3d -d /dev/null -s /dev/null -N popa3d >/dev/null 2>&1 ||:
 
 %files
 %_sbindir/popa3d
--- a/pound.spec	2024-04-23 02:30:20.469523051 +0300
+++ b/pound.spec	2024-04-23 02:30:20.477523177 +0300
@@ -41,7 +41,7 @@
 %post_service pound
 
 /usr/sbin/groupadd -r -f _pound
-/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -n _pound >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _pound -d /dev/null -s /dev/null -N _pound >/dev/null 2>&1 ||:
 
 %preun
 %preun_service pound
--- a/prosody.spec	2024-04-23 02:30:20.574524710 +0300
+++ b/prosody.spec	2024-04-23 02:30:20.585524884 +0300
@@ -58,7 +58,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f _prosody
-/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -n -c "%summary" _prosody >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _prosody -d %_localstatedir/%name -s /sbin/nologin -N -c "%summary" _prosody >/dev/null 2>&1 ||:
 
 %preun
 %preun_service prosody
--- a/pypolicyd-spf.spec	2024-04-23 02:30:20.922530208 +0300
+++ b/pypolicyd-spf.spec	2024-04-23 02:30:20.927530287 +0300
@@ -45,7 +45,7 @@
 /usr/sbin/groupadd -r -f %pypolicy_owner
 /usr/sbin/groupadd -r -f %pypolicy_admin
 
-/usr/sbin/useradd -r -n -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %pypolicy_owner -M -s /dev/null -c %pypolicy_owner %pypolicy_owner >/dev/null 2>&1 ||:
 
 %files -f INSTALLED_FILES
 %_man1dir/*
--- a/quagga.spec	2024-04-23 02:30:23.735574654 +0300
+++ b/quagga.spec	2024-04-23 02:30:23.758575018 +0300
@@ -234,7 +234,7 @@
 /usr/sbin/groupadd -rf %vty_gid
 /usr/sbin/groupadd -rf %quagga_gid
 
-/usr/sbin/useradd -r -g %quagga_gid -d /dev/null -s /dev/null -n %quagga_user &>/dev/null ||:
+/usr/sbin/useradd -r -g %quagga_gid -d /dev/null -s /dev/null -N %quagga_user &>/dev/null ||:
 /usr/sbin/usermod -G %vty_gid %quagga_user &>/dev/null ||:
 
 %post
--- a/rpcbind.spec	2024-04-23 02:30:24.229582460 +0300
+++ b/rpcbind.spec	2024-04-23 02:30:24.237582586 +0300
@@ -45,7 +45,7 @@
 
 %post
 /usr/sbin/groupadd -r -f rpc
-/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -n rpc >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g rpc -d / -s /dev/null -c 'Portmapper RPC user' -N rpc >/dev/null 2>&1 ||:
 %post_control -s local rpcbind
 %post_service %name
 
--- a/sa-content-filter.spec	2024-04-23 02:30:24.673589475 +0300
+++ b/sa-content-filter.spec	2024-04-23 02:30:24.677589538 +0300
@@ -36,7 +36,7 @@
 mkdir -p  %buildroot%_var/run/spamd/
 
 %pre
-/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -n _filter >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %spamd_group -d /dev/null -s /dev/null -N _filter >/dev/null 2>&1 ||:
 
 %post
 if [ "$1" -eq 1 ]; then
--- a/scanlogd.spec	2024-04-23 02:30:24.879592730 +0300
+++ b/scanlogd.spec	2024-04-23 02:30:24.884592809 +0300
@@ -34,7 +34,7 @@
 
 %post
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 %post_service %name
 
 %preun
--- a/slocate.spec	2024-04-23 02:30:25.471602083 +0300
+++ b/slocate.spec	2024-04-23 02:30:25.480602226 +0300
@@ -30,7 +30,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f %name
-/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -n %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g %name -d /dev/null -s /dev/null -N %name >/dev/null 2>&1 ||:
 
 %files
 %attr(2711,root,%name) %_bindir/%name
--- a/smstools.spec	2024-04-23 02:30:25.579603790 +0300
+++ b/smstools.spec	2024-04-23 02:30:25.592603995 +0300
@@ -66,7 +66,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f smsd
-/usr/sbin/useradd -r -n -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g smsd -d /dev/null -s /dev/null -c SMSd -G uucp,smsd smsd >/dev/null 2>&1 ||:
 
 %post
 %post_service smsd
--- a/snmptt.spec	2024-04-23 02:30:25.692605575 +0300
+++ b/snmptt.spec	2024-04-23 02:30:25.707605812 +0300
@@ -105,7 +105,7 @@
 
 %pre
 /usr/sbin/groupadd -r -f snmptt ||:
-/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -n -c "SNMP Trap Translate" snmptt ||:
+/usr/sbin/useradd -r -g snmptt -d %_var/spool/snmptt -s /sbin/nologin -N -c "SNMP Trap Translate" snmptt ||:
 
 %post
 %post_service %name
--- a/sphinx.spec	2024-04-23 02:30:25.950609652 +0300
+++ b/sphinx.spec	2024-04-23 02:30:25.965609889 +0300
@@ -151,7 +151,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _sphinx &>/dev/null
-%_sbindir/useradd -r -n -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g _sphinx -d /var/empty -s /bin/false -c "Sphinx Searchd pseudo user" _sphinx >/dev/null 2>&1 ||:
 
 %post
 %post_service searchd
--- a/sqlgrey.spec	2024-04-23 02:30:26.103612069 +0300
+++ b/sqlgrey.spec	2024-04-23 02:30:26.115612259 +0300
@@ -56,7 +56,7 @@
 /usr/sbin/groupadd -r -f %sqlgrey_owner
 /usr/sbin/groupadd -r -f %sqlgrey_admin
 
-/usr/sbin/useradd -r -n -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -N -g %name -d %ROOT -s /dev/null -c %name %name >/dev/null 2>&1 ||:
 
 %post
 if [ $1 = 1 ]; then
--- a/sssd.spec	2024-04-23 02:30:26.341615829 +0300
+++ b/sssd.spec	2024-04-23 02:30:26.388616572 +0300
@@ -565,7 +565,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %sssd_user 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
+%_sbindir/useradd -r -N -g %sssd_user -G _keytab -d %sssdstatedir -s /dev/null -c "User for sssd" %sssd_user 2> /dev/null ||:
 
 %post
 chown root:root %_sysconfdir/sssd/sssd.conf
--- a/starman.spec	2024-04-23 02:30:26.492618215 +0300
+++ b/starman.spec	2024-04-23 02:30:26.505618420 +0300
@@ -66,7 +66,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _starman
-%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -n _starman > /dev/null 2>&1 ||:
+%_sbindir/useradd -r -g _starman -r -c "starman web server" -s /dev/null -d /dev/null -N _starman > /dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/sysklogd.spec	2024-04-23 02:30:26.722621849 +0300
+++ b/sysklogd.spec	2024-04-23 02:30:26.739622118 +0300
@@ -103,7 +103,7 @@
 
 %pre -n syslogd
 /usr/sbin/groupadd -r -f syslogd
-/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -n syslogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g syslogd -d /dev/null -s /dev/null -N syslogd >/dev/null 2>&1 ||:
 
 %post -n syslogd
 %post_service syslogd
@@ -113,7 +113,7 @@
 
 %pre -n klogd
 /usr/sbin/groupadd -r -f klogd
-/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -n klogd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g klogd -d /dev/null -s /dev/null -N klogd >/dev/null 2>&1 ||:
 
 %post -n klogd
 %post_service klogd
--- a/taskd.spec	2024-04-23 02:30:26.837623666 +0300
+++ b/taskd.spec	2024-04-23 02:30:26.851623887 +0300
@@ -70,7 +70,7 @@
 
 %pre
 %_sbindir/groupadd -r -f %name 2> /dev/null ||:
-%_sbindir/useradd -r -n -g %name -d %_localstatedir/%name -s /bin/bash \
+%_sbindir/useradd -r -N -g %name -d %_localstatedir/%name -s /bin/bash \
         -c "User for %name" %name 2> /dev/null ||:
 
 %files
--- a/telnet.spec	2024-04-23 02:30:26.953625499 +0300
+++ b/telnet.spec	2024-04-23 02:30:26.964625673 +0300
@@ -70,7 +70,7 @@
 
 %pre server
 /usr/sbin/groupadd -r -f telnetd
-/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -n telnetd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g telnetd -d / -s /dev/null -N telnetd >/dev/null 2>&1 ||:
 
 %files
 %_bindir/telnet
--- a/tftp.spec	2024-04-23 02:30:27.133628343 +0300
+++ b/tftp.spec	2024-04-23 02:30:27.149628596 +0300
@@ -134,7 +134,7 @@
 
 %post -n %{name}d
 %_sbindir/groupadd -rf %sys_group ||:
-%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -n %sys_user &>/dev/null ||:
+%_sbindir/useradd -r -g %sys_group -d /dev/null -s /dev/null -N %sys_user &>/dev/null ||:
 
 %post server-standalone
 %post_service %dname ||:
--- a/tokyotyrant.spec	2024-04-23 02:30:27.302631013 +0300
+++ b/tokyotyrant.spec	2024-04-23 02:30:27.318631266 +0300
@@ -108,7 +108,7 @@
 
 %pre
 %_sbindir/groupadd -r -f _tyrant &>/dev/null ||:
-%_sbindir/useradd -r -n -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
+%_sbindir/useradd -r -N -M -s /dev/null -d %_localstatedir/%name -g _tyrant \
     -c "Server of Tokyo Tyrant (%sname)" _tyrant &>/dev/null ||:
 
 
--- a/ton.spec	2024-04-23 02:30:27.412632751 +0300
+++ b/ton.spec	2024-04-23 02:30:27.425632956 +0300
@@ -171,7 +171,7 @@
 
 %pre rldp-http-proxy
 %_sbindir/groupadd -r -f %userrldp &>/dev/null
-%_sbindir/useradd -r -n -g %userrldp -d /var/empty -s /bin/false -c "%userrldp pseudo user" %userrldp >/dev/null 2>&1 ||:
+%_sbindir/useradd -r -N -g %userrldp -d /var/empty -s /bin/false -c "%userrldp pseudo user" %userrldp >/dev/null 2>&1 ||:
 
 %post rldp-http-proxy
 %post_service rldp-http-proxy
--- a/unbound.spec	2024-04-23 02:30:27.688637112 +0300
+++ b/unbound.spec	2024-04-23 02:30:27.710637460 +0300
@@ -163,7 +163,7 @@
 
 %pre -n lib%name
 /usr/sbin/groupadd -r -f _%name
-/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -n -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g _%name -d %_chrootdir -s /dev/null -N -c "Domain Name Server" _%name >/dev/null 2>&1 ||:
 
 %post
 %post_service %name
--- a/utftpd.spec	2024-04-23 02:30:27.816639134 +0300
+++ b/utftpd.spec	2024-04-23 02:30:27.829639340 +0300
@@ -69,7 +69,7 @@
 
 %pre
 /usr/sbin/groupadd -rf tftp
-/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -n tftp &>/dev/null ||:
+/usr/sbin/useradd -r -g tftp -d /dev/null -s /dev/null -N tftp &>/dev/null ||:
 
 %files
 %ghost %_sysconfdir/utftpd.cdb
--- a/virtualbox.spec	2024-04-23 02:30:29.647668064 +0300
+++ b/virtualbox.spec	2024-04-23 02:30:29.693668791 +0300
@@ -779,7 +779,7 @@
 
 %if_with webservice
 %pre webservice
-/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -n vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g vboxusers -d %vboxwebdir -c 'VirtualBox Web Service' -N vboxwebsrv -s /bin/sh >/dev/null 2>&1 ||:
 %endif
 
 %ifarch x86_64
--- a/vsftpd.spec	2024-04-23 02:30:29.894671966 +0300
+++ b/vsftpd.spec	2024-04-23 02:30:29.907672172 +0300
@@ -75,8 +75,8 @@
 umask 077
 /usr/sbin/groupadd -r -f vsftpd
 /usr/sbin/groupadd -r -f novsftpd
-/usr/sbin/useradd -r -g vsftpd -d /var/ftp -s /dev/null -n vsftpd >/dev/null 2>&1 ||:
-/usr/sbin/useradd -r -g novsftpd -d /dev/null -s /dev/null -n novsftpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g vsftpd -d /var/ftp -s /dev/null -N vsftpd >/dev/null 2>&1 ||:
+/usr/sbin/useradd -r -g novsftpd -d /dev/null -s /dev/null -N novsftpd >/dev/null 2>&1 ||:
 touch %_logdir/vsftpd.log
 
 %files
